#include <config.h>
#include <stdlib.h>
#include <string.h>
#include "defs.h"
#include "json.h"

void
emalloc_die(void)
{
	fatal("not enough memory");
	exit(2);
}

void *
emalloc(size_t s)
{
	void *p = malloc(s);
	if (!p)
		emalloc_die();
	return p;
}

void *
e2nrealloc(void *p, size_t *pn, size_t s)
{
	char *n = json_2nrealloc(p, pn, s);
	if (!n)
		emalloc_die();
	return n;
}

char *
estrdup(char const *s)
{
	return strcpy(emalloc(strlen(s) + 1), s);
}
